import Home from "@/states/Dashboard/pages/Home";
import {
    AdminPanelSettings,
    BarChart, ContactSupport,
    Group,
    Info as InfoIcon,
    Key,
    Person, Home as HomeIcon,
    TableChart,
    WorkspacePremium
} from "@mui/icons-material";
import Info from "@/states/Dashboard/pages/Info";

export const routes = [
    {path: "/", element: <Home/>},
    {path: "/support", element: <h1>Support</h1>},
    {path: "/projects/:projectId/stats", element: <h1>Statistik</h1>},
    {path: "/projects/:projectId/licenses", element: <h1>Lizenzen</h1>},
    {path: "/projects/:projectId/permissions", element: <h1>Berechtigungen</h1>},
    {path: "/projects/:projectId/groups", element: <h1>Gruppen</h1>},
    {path: "/projects/:projectId/meta", element: <h1>Metadaten</h1>},
    {path: "/projects/:projectId/keys", element: <h1>Zugriffsschlüssel</h1>},
    {path: "/projects/:projectId/members", element: <h1>Mitglieder</h1>},
    {path: "/projects/:projectId/info", element: <Info />}
]

export const sidebar = [
    {
        path: "/",
        icon: <HomeIcon />,
        name: "Start"
    },
    {
        path: "/support",
        icon: <ContactSupport />,
        name: "Support"
    }
]

export const projectSidebar = [
    {
        path: "/projects/:projectId/stats",
        icon: <BarChart />,
        name: "Statistik"
    },
    {
        path: "/projects/:projectId/licenses",
        icon: <WorkspacePremium />,
        name: "Lizenzen"
    },
    {
        path: "/projects/:projectId/permissions",
        icon: <AdminPanelSettings />,
        name: "Berechtigungen"
    },
    {
        path: "/projects/:projectId/groups",
        icon: <Group />,
        name: "Gruppen"
    },
    {
        path: "/projects/:projectId/meta",
        icon: <TableChart />,
        name: "Metadaten"
    },
    {
        path: "/projects/:projectId/keys",
        icon: <Key />,
        name: "Zugriffsschlüssel"
    },
    {
        path: "/projects/:projectId/members",
        icon: <Person />,
        name: "Mitglieder"
    },
    {
        path: "/projects/:projectId/info",
        icon: <InfoIcon />,
        name: "Projekt"
    }
]